.\" $NetBSD: pam_securetty.8,v 1.2 2004/12/12 08:18:47 christos Exp $
.\" Copyright (c) 2001 Mark R V Murray
.\" All rights reserved.
.\" Copyright (c) 2002 Networks Associates Technology, Inc.
.\" All rights reserved.
.\"
.\" Portions of this software were developed for the FreeBSD Project by
.\" ThinkSec AS and NAI Labs, the Security Research Division of Network
.\" Associates, Inc.  under DARPA/SPAWAR contract N66001-01-C-8035
.\" ("CBOSS"), as part of the DARPA CHATS research program.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/lib/libpam/modules/pam_securetty/pam_securetty.8,v 1.6 2002/03/14 23:27:58 des Exp $
.\"
.Dd July 8, 2001
.Dt PAM_SECURETTY 8
.Os
.Sh NAME
.Nm pam_securetty
.Nd SecureTTY PAM module
.Sh SYNOPSIS
.Op Ar service-name
.Ar module-type
.Ar control-flag
.Pa pam_securetty
.Op Ar options
.Sh DESCRIPTION
The SecureTTY service module for PAM
provides functionality for only one PAM category:
account management.
In terms of the
.Ar module-type
parameter, this is the
.Dq Li account
feature.
It also provides null functions for authentication and session
management.
.Ss SecureTTY Account Management Module
The SecureTTY account management component
.Pq Fn pam_sm_acct_mgmt ,
returns failure if the user is attempting to authenticate as superuser,
and the process is attached to an insecure TTY.
In all other cases, the module returns success.
.Pp
A TTY is considered secure if it is listed in
.Pa /etc/ttys
and has the
.Dv TTY_SECURE
flag set.
.Pp
The following options may be passed to the authentication module:
.Bl -tag -width ".Cm no_warn"
.It Cm debug
.Xr syslog 3
debugging information at
.Dv LOG_DEBUG
level.
.It Cm no_warn
suppress warning messages to the user.
These messages include
reasons why the user's
authentication attempt was declined.
.El
.Sh SEE ALSO
.Xr getttynam 3 ,
.Xr syslog 3 ,
.Xr pam.conf 5 ,
.Xr ttys 5 ,
.Xr pam 8
